# Transactions

The `transactions` endpoint returns the transactions which have occurred for a specific entity. For each `valueDate` where transactions are received from a custodian, data will be available in the transactions endpoint once standardised through data processing layer. Requests are made using the `entityId` parameter, which is mandatory.&#x20;

For the full list of parameters accepted as well as which are required, see `Parameters` below. To view Sample response data, expand the menu under `Responses` and refer to the `Example` tab. To see the format of the response fields, as well as which are mandatory (that is, always returned in the response), select the tab `Schema`, and then expand `object` followed by `content` and finally `object` once more.&#x20;

## Request and Response

{% hint style="info" %}
You might find it helpful to access our [Sesame Data Developer Portal](/sesame-data-developer-portal.md)
{% endhint %}

The format of all Sesame Custodial Data APIs is the same. The user is required to provide their account UUID and token in the authorisation, and then make a `GET` request to the `transactions` endpoint, specifying the entityId of the entity being requested.

{% openapi src="/files/Op9p4eG621woDfclloBE" path="/api/v1/transactions/{entityId}" method="get" expanded="true" fullWidth="false" %}
[openapi\_114\_06Jun25.yaml](https://686422464-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FRqYhxcZf6UoirhKFZnW4%2Fuploads%2Fl8kOz8iaZGcmfcJzGmQz%2Fopenapi_114_06Jun25.yaml?alt=media\&token=d7c18101-35d7-4f9d-b950-e2a3b428bd2a)
{% endopenapi %}

## Investment Hub and Doc AI

While Sesame Data Custodial generally involves data from custodied feeds being requested over API, Sesame also supports loading of transactions pertaining to private assets in general, and private funds in particular. The Investment Hub allows users to manage all their non-custodied transactions and positions. Doc AI allows you to quickly and accurately extract data from private equity and private credit notices (like capital statements, call and distribution notices), making maintaining your privates in Sesame easy. \
\
These transactions and positions are also available in the Sesame Data API.&#x20;

## Supported Transaction Subtypes

| <ul><li>Admin Fees</li><li>Borrowing</li><li>Brokerage Fees</li><li>Capital Call</li><li>Commitment</li><li>Commitment Reduction</li><li>Coupon</li><li>Custodian Fees</li><li>Deposits</li><li>Derivative Cash Settlement</li><li>Derivative Premium</li><li>Distribution</li><li>Dividend</li><li>Dividend in Kind</li><li>Equalisation</li><li>Interest</li><li>Internal FX Transaction</li><li>Management Fees</li><li>Other Costs</li><li>Other Fees</li><li>Principal Repayment</li><li>Purchase</li><li>Redemption</li><li>Reverse Stock Split</li><li>Rights Issue</li><li>Rights Issue Exercise</li><li>Sales</li><li>Security Transfer In</li><li>Security Transfer Out</li><li>Spin Off</li><li>Stock Split</li><li>Subscription</li><li>Taxes</li><li>Withdrawals </li></ul> |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.landytech.com/api-endpoints/transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
